aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/src/password-store.sh
diff options
context:
space:
mode:
authorBrian Mattern <rephorm@rephorm.com>2012-09-12 22:24:11 -0700
committerJason A. Donenfeld <Jason@zx2c4.com>2012-09-13 07:50:20 +0200
commit9fe3cb21e1193ede695bc790a5c476b009aef895 (patch)
tree378623d2d1af2d1ab32398384564124b654ad1fe /src/password-store.sh
parentUse bash's read command better. (diff)
downloadpassword-store-9fe3cb21e1193ede695bc790a5c476b009aef895.tar.xz
password-store-9fe3cb21e1193ede695bc790a5c476b009aef895.zip
Confirm before overwriting an entry
This asks before inserting a password when one already exists at that location (instead of just overwriting it).
Diffstat (limited to 'src/password-store.sh')
-rwxr-xr-xsrc/password-store.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/src/password-store.sh b/src/password-store.sh
index 402563c..c8a0a9f 100755
--- a/src/password-store.sh
+++ b/src/password-store.sh
@@ -184,9 +184,16 @@ case "$command" in
exit 1
fi
path="$1"
+ passfile="$PREFIX/$path.gpg"
+
+ if [[ -e $passfile ]]; then
+ prompt="An entry already exists for $path. Overwrite it [y/N]? "
+ read -p "$prompt" yesno
+ [[ $yesno == "y" || $yesno == "Y" ]] || exit 1
+ fi
+
mkdir -p -v "$PREFIX/$(dirname "$path")"
- passfile="$PREFIX/$path.gpg"
if [[ $ml -eq 1 ]]; then
echo "Enter contents of $path and press Ctrl+D when finished:"
echo